%undefine __cmake_in_source_build

%global kf5_version_min 5.82.0

Name:           plasma-pass
Version:        1.2.0
Release:    1%{?dist}
Summary:        Plasma applet to access passwords from the Pass password manager
License:        LGPLv2+
URL:            https://invent.kde.org/plasma/%{name}.git
Source0:        https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz

%global __provides_exclude_from ^(%{_kf5_qmldir}/.*\\.so|%{_kf5_qtplugindir}/.*\\.so)$


BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  desktop-file-utils

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5Plasma) >= %{kf5_version_min}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version_min}
BuildRequires:  cmake(KF5ItemModels) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Service) >= %{kf5_version_min}
BuildRequires:  cmake(KF5CoreAddons) >= %{kf5_version_min}
BuildRequires:  cmake(KF5Package) >= %{kf5_version_min}

BuildRequires: cmake(QGpgme)

BuildRequires:  gettext-devel
BuildRequires:  gpgmepp-devel
BuildRequires:  pkgconfig(liboath)


Requires:       plasmashell(desktop)
Requires:       gnupg2

Recommends:     pass

%description
Plasma Pass is a Plasma systray applet to easily access passwords from the Pass
password manager.

%prep
%autosetup


%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%check
desktop-file-validate %{buildroot}/%{_datadir}/kservices5/plasma-applet-org.kde.plasma.pass.desktop


%find_lang plasma_applet_org.kde.plasma.pass

%files -f plasma_applet_org.kde.plasma.pass.lang
%license COPYING
%doc README.md
%{_kf5_sysconfdir}/xdg/plasma-pass.categories
%dir %{_kf5_qmldir}/org/kde/plasma/private/plasmapass/
%{_kf5_qmldir}/org/kde/plasma/private/plasmapass/*
%dir %{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.pass/
%{_kf5_datadir}/plasma/plasmoids/org.kde.plasma.pass/*
%{_kf5_datadir}/kservices5/*.desktop
%{_kf5_metainfodir}/*.xml


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
